用apt-get安装软件,会自动推荐,可以不用吗?

为当前最终发行版之前的所有版本提供支持
回复
drongh
帖子: 1038
注册时间: 2007-01-10 9:32
送出感谢: 4 次
接收感谢: 5 次

用apt-get安装软件,会自动推荐,可以不用吗?

#1

帖子 drongh » 2013-05-13 20:08

今天安装个wine,居然要500M,仔细看了一下,很多是推荐安装,有没有必要用,如何取消这项功能?
谢谢。
头像
mraandtux
论坛版主
帖子: 5106
注册时间: 2009-12-12 19:29
系统: Ubuntu + Windows 10
来自: 随便一个地方
送出感谢: 0
接收感谢: 161 次
联系:

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#2

帖子 mraandtux » 2013-05-13 20:24

一切从更新源设置下手。
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#3

帖子 lainme » 2013-05-14 17:22

头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#4

帖子 eexpress » 2013-05-14 21:13

推荐安装的,并没有强制安装啊。也不会自动安装。
● 鸣学
drongh
帖子: 1038
注册时间: 2007-01-10 9:32
送出感谢: 4 次
接收感谢: 5 次

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#5

帖子 drongh » 2013-05-14 21:17

会自动安装的。
现在用apt-get --no-install-recommend install 就好了。
谢谢各位。
头像
懒蜗笨兔牛
帖子: 35
注册时间: 2012-02-17 15:59
送出感谢: 0
接收感谢: 0

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#6

帖子 懒蜗笨兔牛 » 2013-05-14 21:26

如今默认会安装推荐的包了??看来我已经out了……
头像
b33e
论坛版主
帖子: 3862
注册时间: 2011-06-07 14:20
系统: Mint18
送出感谢: 16 次
接收感谢: 62 次

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#7

帖子 b33e » 2013-05-14 23:01

懒蜗笨兔牛 写了:如今默认会安装推荐的包了??看来我已经out了……
会的,安装qt4的时候会安装qt4-doc什么的东西
头像
qy117121
论坛版主
帖子: 49892
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 335 次
联系:

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#8

帖子 qy117121 » 2013-05-14 23:03

sudo apt-get install qt4-default
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列软件包是自动安装的并且现在不需要了:
libgtkspell-3-0 libmutter0a libtumbler-1-0 mutter-common tumbler
tumbler-common
Use 'apt-get autoremove' to remove them.
将会安装下列额外的软件包:
libdrm-dev libgl1-mesa-dev libglu1-mesa-dev libkms1 libpthread-stubs0
libpthread-stubs0-dev libqt4-dev libqt4-dev-bin libqt4-opengl-dev
libqt4-qt3support libqtwebkit-dev libx11-dev libx11-doc libx11-xcb-dev
libxau-dev libxcb-dri2-0-dev libxcb-glx0-dev libxcb1-dev libxdamage-dev
libxdmcp-dev libxext-dev libxfixes-dev libxxf86vm-dev mesa-common-dev
qt4-linguist-tools qt4-qmake x11proto-core-dev x11proto-damage-dev
x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev x11proto-input-dev
x11proto-kb-dev x11proto-xext-dev x11proto-xf86vidmode-dev
xorg-sgml-doctools xtrans-dev
建议安装的软件包:
libmysqlclient-dev libpq-dev libsqlite3-dev qt4-dev-tools qt4-doc
unixodbc-dev libxcb-doc libxext-doc
下列【新】软件包将被安装:
libdrm-dev libgl1-mesa-dev libglu1-mesa-dev libkms1 libpthread-stubs0
libpthread-stubs0-dev libqt4-dev libqt4-dev-bin libqt4-opengl-dev
libqt4-qt3support libqtwebkit-dev libx11-dev libx11-doc libx11-xcb-dev
libxau-dev libxcb-dri2-0-dev libxcb-glx0-dev libxcb1-dev libxdamage-dev
libxdmcp-dev libxext-dev libxfixes-dev libxxf86vm-dev mesa-common-dev
qt4-default qt4-linguist-tools qt4-qmake x11proto-core-dev
x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev
x11proto-input-dev x11proto-kb-dev x11proto-xext-dev
x11proto-xf86vidmode-dev xorg-sgml-doctools xtrans-dev
升级了 0 个软件包,新安装了 38 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 11.6 MB 的软件包。
解压缩后会消耗掉 55.7 MB 的额外空间。


建议安装的包不会自动安装
渠月 · QY    https://vz.rs/u
本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#9

帖子 eexpress » 2013-05-14 23:08

qy117121, 支持你按下y
:em04

没道理建议的也自动。。。安装
● 鸣学
头像
qy117121
论坛版主
帖子: 49892
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 335 次
联系:

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#10

帖子 qy117121 » 2013-05-14 23:14

图片
听神的,按了y
建议的当然是没有自动安装
渠月 · QY    https://vz.rs/u
本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#11

帖子 lainme » 2013-05-15 11:29

建议和推荐是两个。推荐的包,是会默认安装的。
头像
b33e
论坛版主
帖子: 3862
注册时间: 2011-06-07 14:20
系统: Mint18
送出感谢: 16 次
接收感谢: 62 次

Re: 用apt-get安装软件,会自动推荐,可以不用吗?

#12

帖子 b33e » 2013-05-15 12:38

lainme 写了:建议和推荐是两个。推荐的包,是会默认安装的。
回复

回到 “老旧版本支持”